Xeonr Developer Docs
API SpecificationIntegrations

Verify thumbnail queue token

POST
/uplim.api.v1.IntegrationsService/VerifyThumbnailQueueToken

Verifies a thumbnail parse pool token and returns the associated integration metadata. Called by external queue workers to authenticate.

AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

token?string
Length1 <= length <= 128
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationsService/VerifyThumbnailQueueToken" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "integrationId": "string",
  "integrationName": "string",
  "oauthClientId": "string",
  "poolId": "string"
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}